<nav class="navbar navbar-expand-lg navbar-light fixed-top container-fluid" id="navbar"
     th:fragment="navigation"
     xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="authentication" type="java.lang.String"*/-->
    <!--/*@thymesVar id="user" type="generated.libraryservice.GeneratedUsager"*/-->

    <!-- ===== Logo Button to Home Page ===== -->
    <a class="navbar-brand col-3" href="/" id="logo">
        <div th:replace="fragments/svg/logo :: logo"></div>
    </a>

    <!-- ===== Collapse Button ===== -->
    <button aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler"
            data-target="#navbarSupportedContent" data-toggle="collapse" type="button">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse col-9 row" id="navbarSupportedContent">
        <!-- ===== Search Bar ===== -->
        <form action="/search" class="form-inline col-9 row" method="get">
            <input aria-label="Search" class="form-control col-9 mr-2 bg-input" name="searchString"
                   th:placeholder="#{placeholder.searchbar}" type="search">
            <button class="btn btn-outline-lightbrown col-2" th:text="#{button.search}" type="submit"></button>
        </form>

        <!-- ===== Buttons list when logged in ===== -->
        <ul class="navbar-nav my-2 my-lg-0 pr-0 col-3 justify-content-end"
            th:unless="${authentication.equals('anonymousUser')}">

            <!-- Username -->
            <li class="nav-item">
                <p class="mx-2 h-100 my-auto" id="nav-username" th:text="${user.firstname}"></p>
            </li>

            <!-- Parameter Button -->
            <li class="nav-item">
                <a class="mx-2 h-100 my-auto" onclick="showParameter();">
                    <i class="fas fa-cog"></i>
                </a>
            </li>

            <!-- Logout Button -->
            <li class="nav-item">
                <form class="mx-2 h-100 my-auto" id="logoutForm" method="post" th:action="@{/logout}">
                    <i class="fas fa-sign-out-alt" onclick="javascript: $('#logoutForm').submit();"></i>
                </form>
            </li>
        </ul>

        <!-- ===== Connexion Button ===== -->
        <ul class="navbar-nav my-2 my-lg-0 pr-0 col-3 justify-content-end"
            th:if="${authentication.equals('anonymousUser')}">
            <li class="nav-item">
                <a class="connect-button" href="javascript: openLoginForm();" th:text="#{button.login}"></a>
            </li>
        </ul>
    </div>
</nav>